This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 252011 - Do you want to update 0 packages ?
Do you want to update 0 packages ?
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-13 15:42 EDT by mail@romal.de
Modified: 2007-12-06 23:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 23:37:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description mail@romal.de 2007-08-13 15:42:06 EDT
if yum --skip-broken has nothing but broken left, he asks, if you want to update
nothing :-)

Not really a bug, but unexpected. Is it worth entering in Bugzilla ?

cu romal

[root@beowulf ~]# yum update --skip-broken
Loading "skip-broken" plugin
Setting up Update Process
Resolving Dependencies
**** Checking packages for dependency problems
**** Checking for dep problems  : gstreamer-plugins-good-debuginfo -
0.10.6-1.fc8.x86_64
--> Running transaction check
****   OK : gstreamer-plugins-good-debuginfo.x86_64 0-0.10.6-1.fc8 - None
**** Checking for dep problems  : gstreamer-plugins-good-debuginfo -
0.10.6-2.fc8.x86_64
--> Running transaction check
---> Package gstreamer-plugins-good-debuginfo.x86_64 0:0.10.6-2.fc8 set to be
updated
--> Processing Dependency: libgstvideo4linux2.so()(64bit) for package:
gstreamer-plugins-good-debuginfo
--> Processing Dependency: libgstwavpack.so()(64bit) for package:
gstreamer-plugins-good-debuginfo
--> Finished Dependency Resolution
****   Failed
****     Missing Dependency: libgstvideo4linux2.so()(64bit) is needed by package
gstreamer-plugins-good-debuginfo
****     Missing Dependency: libgstwavpack.so()(64bit) is needed by package
gstreamer-plugins-good-debuginfo
**** Packages with dependency resolving errors
**** gstreamer-plugins-good-debuginfo - 0.10.6-2.fc8.x86_64
****   2
****   2
**** End Checking packages for dependency problems
--> Running transaction check

Dependencies Resolved

=============================================================================
Package                 Arch       Version          Repository        Size
=============================================================================

Transaction Summary
=============================================================================
Install      0 Package(s)        Update       0 Package(s)        Remove       0
Package(s)       
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
--> Populating transaction set with selected packages. Please wait.
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

Complete!
[root@beowulf ~]#
Comment 1 Tim Lauridsen 2007-08-14 02:23:09 EDT
Yes, you are right no need to complete a transaction with nothing to do.
Comment 2 Tim Lauridsen 2007-09-28 08:35:56 EDT
Seth:
Where shall we fix this issue, where a plugin have remove all the packages from
the transaction in yum-cli or in the plugin ???
Comment 3 Seth Vidal 2007-10-02 10:34:39 EDT
Fixing it in cli.py would make the most sense. There doesn't seem to be a check
there to say "there are no packages in the tsInfo, just exit"
Comment 4 Seth Vidal 2007-12-06 23:37:35 EST
fixed in upstream, closing.

Note You need to log in before you can comment on or make changes to this bug.